Name: portmap
%define basever 4
Version: %basever.0
Release: ipl17mdk

Summary: A program which manages RPC connections
License: BSD
Group: System/Servers

Source0: ftp://coast.cs.purdue.edu/pub/tools/unix/%name/%{name}_%basever.tar.bz2
Source1: %name.init
Source2: pmap_set.8
Source3: pmap_dump.8
Source4: %name.8

Patch1: %name-4.0-alt-makefile.patch
Patch2: %name-4.0-rh-cleanup.patch
Patch3: %name-4.0-rh-droppriv.patch
Patch4: %name-4.0-rh-sigpipe.patch
Patch5: %name-4.0-rh-errno.patch

PreReq: shadow-utils, service

# Automatically added by buildreq on Mon Nov 18 2002
BuildRequires: libwrap-devel

%description
The portmapper program is a security tool which prevents theft of NIS
(YP), NFS and other sensitive information via the portmapper.  A
portmapper manages RPC connections, which are used by protocols like
NFS and NIS.

The %name package should be installed on any machine which acts as a
server for protocols using RPC.

%prep
%setup -q -n %{name}_%basever
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
find -type f -name \*.orig -print -delete

%build
make FACILITY=LOG_AUTHPRIV ZOMBIES='-DIGNORE_SIGCHLD -Dlint' LIBS="-lnsl -lwrap" AUX=

%install
mkdir -p $RPM_BUILD_ROOT{/sbin,%_sbindir,%_man8dir}
install -p -m755 %name $RPM_BUILD_ROOT/sbin/
install -p -m755 pmap_{set,dump} $RPM_BUILD_ROOT%_sbindir/
install -pD -m755 $RPM_SOURCE_DIR/%name.init $RPM_BUILD_ROOT%_initdir/%name
install -p -m644 $RPM_SOURCE_DIR/{%name,pmap_{set,dump}}.8 $RPM_BUILD_ROOT%_man8dir/

%post
/usr/sbin/groupadd -r -f rpc
/usr/sbin/useradd -r -g rpc -d / -s /dev/null -c 'Portmapper RPC user' -n rpc >/dev/null 2>&1 ||:
%post_service %name

%preun
%preun_service %name

%files
/sbin/*
%_sbindir/*
%_mandir/man?/*
%config	%_initdir/%name
%doc README CHANGES BLURB

%changelog
* Thu Feb 12 2004 Dmitry V. Levin <ldv@altlinux.org> 4.0-ipl17mdk
- Replace "extern int errno" with "include <errno.h>" (rh).
- Use glibc versions of daemon and strerror functions.
- Fixed startup script (#3663).

* Thu Oct 23 2003 Stanislav Ievlev <inger@altlinux.ru> 4.0-ipl16mdk
- new initscripts

* Mon Nov 18 2002 Stanislav Ievlev <inger@altlinux.ru> 4.0-ipl15mdk
- updated man-pages from RH
- rebuild with new libwrap

* Fri May 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 4.0-ipl14mdk
- Merged recent RH patches.

* Thu May 24 2001 Stanislav Ievlev <inger@altlinux.ru> 4.0-ipl13mdk
- Rebuild for use new macros post_service and preun_service

* Tue Jan 23 2001 Dmitry V. Levin <ldv@fandra.org> 4.0-ipl12mdk
- RE adaptions.

* Tue Jan  2 2001 Bill Nottingham <notting@redhat.com>
- setgid too, not just setuid (#23195)

* Thu Aug 10 2000 Jeff Johnson <jbj@redhat.com>
- add restart shell function (#15914).

* Sun Aug  6 2000 Philipp Knirsch <pknirsch@redhat.com>
- Changed the uid/gid of the rpc user to be 32/32

* Fri Aug  4 2000 Philipp Knirsch <pknirsch@redhat.com>
- Fixed a build warning for daemon.c (missing <stdlib.h> include)
- Portmap now running under user rpc if possible (#12427)

* Wed Aug  2 2000 Bill Nottingham <notting@redhat.com>
- start a little later (after syslog)
- do dump/reload on restart (#14612)

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul  8 2000 Bill Nottingham <notting@redhat.com>
- make trigger work on a few later versions

* Tue Jun 27 2000 Than Ngo <than@redhat.de>
- /etc/rc.d/init.d -> /etc/init.d
- condrestart in %postun
- fix initscript
- add requires initscript
- remove links from packaging

* Tue Jun  6 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Wed May 10 2000 Jeff Johnson <jbj@redhat.com>
- apply cleanup patch (H.J. Lu)

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Wed Dec  1 1999 Bill Nottingham <notting@redhat.com>
- add patch to fix some malloc issues from HP

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- added man pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 14)

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- start/stop portmap at levels 11/89

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- fixed the trigger script

* Fri May 01 1998 Jeff Johnson <jbj@redhat.com>
- added triggerpostun

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- added %trigger to fix a previously broken package

* Thu Apr 23 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscripts

* Thu Jan 08 1998 Erik Troan <ewt@redhat.com>
- rebuilt against glibc 2.0.6

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- fixed service name in stop section of init script

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- fixed chkconfig support

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- added restart, status commands to init script
- added chkconfig support
- uses a buildroot and %attr tags

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
